﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = GetGridSource();
    }
    // data source
    # region
    private DataTable GetGridSource()
    {
        DataTable dataTable = new DataTable();

        string[] customers = new string[] { "Müller", "Müller", "Müller", "Mercedes", "Mercédès", "Mêrçedës", "Renée", "Reñèè", "Reñeê", "Rënëë" };
        string[] countries = new string[] { "Peru", "Pêrú", "Péru", "Përü", "Ãñgõlâ", "Ángóla", "Äñgolá", "Chile", "Çhïlè", "Chıle" };

        DataColumn column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
        column.ColumnName = "OrderID";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.DateTime");
        column.ColumnName = "OrderDate";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.Decimal");
        column.ColumnName = "Freight";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "CustomerName";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "ShipCountry";
        dataTable.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dataTable.Columns["OrderID"];
        dataTable.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 80; i++)
        {
            DataRow row = dataTable.NewRow();
            row["OrderID"] = i + 1;
            row["OrderDate"] = DateTime.Now;
            row["Freight"] = (i + 1) + (i + 1) * 0.1 + (i + 1) * 0.01;
            row["CustomerName"] = "Customer " + (i + 1);
            row["ShipCountry"] = "Country " + (i + 1);

            if (i > 19 && i < 30)
            {
                row["CustomerName"] = customers[i - 20];
            }
            else if (i > 29 && i < 40)
            {
                row["ShipCountry"] = countries[i - 30];
            }

            dataTable.Rows.Add(row);
        }

        return dataTable;
    }
    # endregion datasource
}